import type { GetResourcesRequest, GetResourcesResponse } from '@alfalab/scripts-modules';
import { ModulesConfig } from './types';
export declare function createGetModulesMethod<FrameworkParams extends unknown[] = []>(modules: ModulesConfig<FrameworkParams>): {
    method: string;
    path: string;
    handler: (getResourcesRequest: GetResourcesRequest, ...params: FrameworkParams) => Promise<GetResourcesResponse>;
};
